Subject: Re: Segment fault/Bus error with Singular
From: Murray Eisenberg <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 10 Jan 2006 00:03:50 -0500

Thank you for those pointers.  By adding the environment variables 
listed at the first URL, below, I can now indeed get singular to work 
from a DOS command prompt window.

I can also get Singular to work in a Cygwin terminal window by starting 
Cygwin and, at the bash prompt, invoking TSingular.  Yet I still get the 
Segment fault/Bus error if I try to use the "Singular (rxvt)" icon.

Still, after I start X, the "Singular (Emacs)" icon does not work: 
nothing whatsoever seems to happen.  And if I use the command ESingular 
within an X window opened in Cygwin, I get a "Segmentation fault" error.

Oliver Wienand wrote:
> Dear Mr. Eisenberg,
> 
>> On the other hand, if I go to the subdirectory lib\Singular of the 
>> main cygwin directory and double-click Singular.exe, then Singular 
>> does run, in a DOS command prompt window (although I see message 
>> "cannot open `standard.lib'".
> 
> 
> At first, to enable you to use Singular please read
> 
> http://www.singular.uni-kl.de/forum/viewtopic.php?t=1475
> 
> With this information you should be able to get a full functional 
> Singular within the windows command shell you mentioned.
> 
> To the bug itself I can also just refer to
> 
> http://cygwin.com/problems.html
> 
> Please apologize the delay of the answer, I was moving to the USA during 
> the last week.
> 
> Sincerely,
> 
> Oliver Wienand
> Singular Team
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/